Search tokens
curl --request GET \
--url https://api-partner.houdiniswap.com/v2/tokens \
--header 'Authorization: <api-key>'import requests
url = "https://api-partner.houdiniswap.com/v2/tokens"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-partner.houdiniswap.com/v2/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tokens": [
{
"icon": "<string>",
"id": "<string>",
"chain": "<string>",
"created": "2023-11-07T05:31:56Z",
"chainData": {
"icon": "<string>",
"addressValidation": "<string>",
"tokenAddressValidation": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"name": "<string>",
"shortName": "<string>",
"explorerUrl": "<string>",
"addressUrl": "<string>",
"kind": "<string>",
"enabled": true,
"shortNameV1": "<string>",
"modified": "2023-11-07T05:31:56Z",
"memoNeeded": true,
"hashUrl": "<string>",
"priority": 123,
"chainId": 123
},
"address": "<string>",
"decimals": 0,
"symbol": "",
"name": "",
"modified": "2023-11-07T05:31:56Z",
"description": "<string>",
"mainnet": true,
"enabled": true,
"unverified": true,
"hasDex": true,
"hasCex": true,
"hasBundler": true,
"hasSelfPrivate": true,
"cexTokenId": "",
"rank": 123,
"cgId": "<string>",
"marketCapChange24h": 123,
"circulatingSupply": 123,
"price": 123,
"marketCap": 123,
"volume": 123,
"fdv": 123,
"change": 123,
"priority": 123,
"warningMessage": "<string>",
"securityScan": {
"scannedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"provider": "<string>",
"providerResultType": "<string>",
"maliciousScore": 123,
"features": [],
"unscannedDetail": "<string>"
}
}
],
"total": 123,
"totalPages": 123
}{
"message": "<string>",
"code": "<string>",
"fields": {},
"requestId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"requestId": "<string>"
}Tokens
Search tokens
GET
/
tokens
Search tokens
Authorizations
Query Parameters
Number of results to return per page
Required range:
1 <= x <= 1000Required range:
1 <= x <= 10000Search term that matches against name, symbol, address, keyword, cexTokenId fields
Maximum string length:
100Filter by chain. Matches against token.chainData.shortName, e.g. "ethereum"
Filter native/non-native tokens
Filter tokens that support/don't support CEX swaps
Filter tokens that support/don't support DEX swaps
Filter tokens by contract address
Maximum string length:
200Filter tokens by symbol, matches against token.symbol field
Maximum string length:
20Include tokens that are auto-created from addresses and pending manual verification. Excluded by default.
Filter tokens that support/don't support private self-to-self swaps
Filter tokens that support/don't support EVM bundle (ERC-4337) swaps
⌘I